#
# spec file for package mutter (Version 2.29.0)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           mutter
BuildRequires:  clutter-devel
BuildRequires:  fdupes
BuildRequires:  gconf2-devel
BuildRequires:  gir-repository
BuildRequires:  gnome-doc-utils-devel
BuildRequires:  gobject-introspection-devel
BuildRequires:  gtk2-devel
BuildRequires:  intltool
BuildRequires:  libcanberra-devel
BuildRequires:  startup-notification-devel
BuildRequires:  update-desktop-files
BuildRequires:  zenity
License:        GPLv2+
Group:          System/GUI/GNOME
Version:        2.29.0
Release:        1
Summary:        Window and compositing manager based on Clutter
Source:         %{name}-%{version}.tar.bz2
# PATCH-FIX-UPSTREAM mutter-cogl_texture-deprecated.patch bgo#610454 dimstar@opensuse.org -- cogl_texture_[un]ref has been deprecated in favor of cogl_handle_[un]ref.
Patch0:         mutter-cogl_texture-deprecated.patch
# PATCH-FIX-UPSTREAM mutter-gcc45.patch bgo#606719 dimstar@opensuse.org -- Fix build with GCC 4.5
Patch1:         mutter-gcc45.patch
Url:            http://www.gnome.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       zenity
Requires:       %{name}-lang = %{version}
Provides:       windowmanager
%gconf_schemas_prereq

%description
Mutter is a window and compositing manager based on Clutter, forked
from Metacity.

%package devel
License:        GPLv2+
Summary:        Include Files and Libraries mandatory for Development
Group:          Development/Libraries/GNOME
Requires:       %{name} = %{version}
Requires:       clutter-devel
Requires:       gtk2-devel

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.


%lang_package
%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure \
	--libexecdir=%{_libexecdir}/%{name} \
	--disable-static \
	--disable-schemas-install
%__make %{?jobs:-j%jobs}

%install
%makeinstall
%if 0%{?suse_version} <= 1110
%{__rm} %{buildroot}%{_datadir}/locale/ha/LC_MESSAGES/*
%{__rm} %{buildroot}%{_datadir}/locale/la/LC_MESSAGES/*
%{__rm} %{buildroot}%{_datadir}/locale/ig/LC_MESSAGES/*
%endif
%{__rm} %{buildroot}/%{_libdir}/*.la
%suse_update_desktop_file %{name}
%find_lang %{name}
%find_gconf_schemas
%fdupes %{buildroot}

%clean
rm -rf %{buildroot}

%pre -f %{name}.schemas_pre

%post -p /sbin/ldconfig

%posttrans -f %{name}.schemas_posttrans

%preun -f %{name}.schemas_preun

%postun -p /sbin/ldconfig

%files -f %{name}.schemas_list
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS rationales.txt README
%{_bindir}/*
%{_libdir}/*.so.*
%{_libdir}/mutter
%{_datadir}/applications/mutter.desktop
%{_datadir}/mutter
# Do not depend on libgnome just for a directory
%dir %{_datadir}/gnome
%dir %{_datadir}/gnome/wm-properties
%{_datadir}/gnome/wm-properties/mutter-wm.desktop
%doc %{_mandir}/man*/*

%files lang -f %{name}.lang

%files devel
%defattr (-, root, root)
%{_includedir}/mutter
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
